## org.jboss.jmx.interfaces
Interface JMXAdaptor

All Superinterfaces:
  java.rmi.Remote

All Known Implementing Classes:
  JMXAdaptorImpl

public interface JMXAdaptor
extends java.rmi.Remote

<description>

Version:
  $Revision: 1.2 $
Author:
  <firstname> <lastname> (<email>)
See Also:
  <related>

Method Summary
`java.lang.Object` `getAttribute(javax.management.ObjectName name, java.lang.String attribute)`
`java.util.Collection` `getMBeanInfos()`
`java.lang.Object` `invoke(javax.management.ObjectName name, java.lang.String actionName, java.lang.Object[] params, java.lang.String[] signature)`
`java.util.Set` `queryMBeans(javax.management.ObjectName name, javax.management.QueryExp query)`
`void` `setAttribute(javax.management.ObjectName name, javax.management.Attribute attribute)`

Method Detail

### invoke

    public java.lang.Object invoke(javax.management.ObjectName name,
                                   java.lang.String actionName,
                                   java.lang.Object[] params,
                                   java.lang.String[] signature)
                            throws javax.management.InstanceNotFoundException,
                                   javax.management.MBeanException,
                                   javax.management.ReflectionException,
                                   java.rmi.RemoteException

### queryMBeans

    public java.util.Set queryMBeans(javax.management.ObjectName name,
                                     javax.management.QueryExp query)
                              throws java.rmi.RemoteException

### getMBeanInfos

    public java.util.Collection getMBeanInfos()
                                       throws java.rmi.RemoteException

### setAttribute

    public void setAttribute(javax.management.ObjectName name,
                             javax.management.Attribute attribute)
                      throws javax.management.InstanceNotFoundException,
                             javax.management.AttributeNotFoundException,
                             javax.management.InvalidAttributeValueException,
                             javax.management.MBeanException,
                             javax.management.ReflectionException,
                             java.rmi.RemoteException

### getAttribute

    public java.lang.Object getAttribute(javax.management.ObjectName name,
                                         java.lang.String attribute)
                                  throws javax.management.MBeanException,
                                         javax.management.AttributeNotFoundException,
                                         javax.management.InstanceNotFoundException,
                                         javax.management.ReflectionException,
                                         java.rmi.RemoteException

Copyright © 2000 The JBoss Organization. All Rights Reserved.